チケット #36693

Strange behaviour of #BACKGROUND

登録: 2016-10-08 21:43 最終更新: 2017-04-11 00:39

報告者: beatme 担当者: yyagi
チケットの種類: バグ 状況: 完了
コンポーネント: (未割り当て) マイルストーン: (未割り当て)
優先度: 5 - 中 重要度: 5 - 中
解決法: 修正済み

詳細

The behaviour of #BACKGROUND, #BACKGROUND_GR and #WALL is strange.

I have prepared a test file: tps://www.mediafire.com/?woyvt3uop6mp57a
(I will use this file in later tickets as well)

1.) #BACKGROUND_GR seems to be identical to the other two. I think this was supposed to be a GB-only background image?

2.) The image of the background image will be displayed as the preview image. (#PREIMAGE overrides it, though)

3.) The background image is not resized, it is displayed centered at its original size.
I think previously it was supposed to be shown repeated if it was not full size, but in my opinion, the best solution is to scale it to fullscreen. (Same behaviour as a full-screen AVI? (0x5A))
(So that the background of the "720p.dtx (Advanced)" from the zip is shown fullscreen like in the "1080p.dtx (1080p BG)")

4.) The BGA/AVI area is a black box that is displayed even without BGA/AVI in the song.
With fullscreen background (1080p.dtx), it becomes an unnecessary box on the playing screen.

添付ファイルリスト

添付ファイルはありません

チケットの履歴 (7 件中 3 件表示)

2016-10-08 21:43 更新者: beatme
  • 新しいチケット "Strange behaviour of #BACKGROUND" が作成されました
2016-10-11 00:09 更新者: yyagi
  • 担当者(未割り当て) から yyagi に更新されました
コメント

Thank you for your comments. I fixed 1) and 3) at today's commit.

  1. Yes, #BACKGRUOND_GR originaly applied only when GRmode.
  2. I could not duplicate it.
  3. Release 105 wish to implement the logic what you said, but failed. (Old Tiling logic may be reconsidered)
  4. Black box occurs, when you state "#BMPxx filename" or "#AVIxx filename" etc but the files does not exist. If you remove these statements, the black box disappeared. It is currently by-design to keep fast-start of each songs.
2016-10-11 03:55 更新者: beatme
コメント

2. When using the test file DTX, the preview image is empty/default?
For me, it looks like this: tp://i.imgur.com/uTQybJf.jpg

4. Okay, that works. It is fine like that.

2016-10-11 22:09 更新者: yyagi
  • 解決法なし から 修正済み に更新されました
コメント

2. Ok. I understood your point, and I could obsereve what you pointed out. However, it's by-design.

If you state #PREIMAGE somefile, but somfile does not exists, DTXMania tries to use #BACKGROUND as the #PREVIEW. (and if it also failed, DTXMania uses default preimage)

2016-10-11 22:11 更新者: yyagi
コメント

If you state #PREIMAGE somefile, but somfile does not exists,

Oops, if you don't use #PREIMAGE, DTXMania also tries to use #BACKGROUND.

2017-03-21 23:24 更新者: yyagi
コメント

For 1) and 3), test modules are added at #37002 (please remove coordinates.xml before executing replaced DTXManiaGR.exe)

2017-04-11 00:39 更新者: yyagi
  • チケット完了時刻2017-04-11 00:39 に更新されました
  • 状況オープン から 完了 に更新されました
コメント

Fixed by Rel108. The ticket closed.

編集

ログインしていません。ログインしていない状態では、コメントに記載者の記録が残りません。 » ログインする